Package org.zkoss.zk.ui.event

## Class CheckEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.CheckEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CheckEvent
      extends Event

  Represents an event cause by user's check a state at the client.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckEvent​(java.lang.String name, Component target, boolean checked)` | Constructs a check-relevant event.
    `CheckEvent​(java.lang.String name, Component target, java.lang.Boolean checked)` | Constructs a check-relevant event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CheckEvent` | `getCheckEvent​(AuRequest request)` | Converts an AU request to a check event.
    `java.lang.Boolean` | `getState()` | Returns the nullable state is changed.
    `boolean` | `isChecked()` | Returns whether the state is checked.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckEvent

          public CheckEvent​(java.lang.String name,
                            Component target,
                            boolean checked)

      Constructs a check-relevant event.
      Parameters:
        `checked` - whether it is checked.

    - #### CheckEvent

          public CheckEvent​(java.lang.String name,
                            Component target,
                            java.lang.Boolean checked)

      Constructs a check-relevant event.
      Parameters:
        `checked` - whether it is checked.
      Since:
        9.0.0

  - ### Method Detail

    - #### getCheckEvent

          public static final CheckEvent getCheckEvent​(AuRequest request)

      Converts an AU request to a check event.
      Since:
        5.0.0

    - #### isChecked

          public final boolean isChecked()

      Returns whether the state is checked.

    - #### getState

          public final java.lang.Boolean getState()

      Returns the nullable state is changed.